| Home | Libraries | People | FAQ | More

#### object_kind

A constant used to select a `value` constructor overload.

##### Synopsis

Defined in header `<boost/json/kind.hpp>`

    constexpr object_kind_t object_kind;

##### Description

The library provides this constant to allow efficient construction of a `value` containing an empty `object`.

##### Example

    storage_ptr sp;
    value jv( object_kind, sp ); // sp is an optional parameter

##### See Also

`object_kind_t`

Convenience header `<boost/json.hpp>`